Summary: this package adds postscript slurs to musixtex
Name: musixps
Version: 0.92
Vendor: Stanislav Kneifl <standa@hiero.cz>
Release: 1mdk
Source: musixps-%{version}.tar.bz2
#Patch: musixps-%{version}.patch
Copyright: GPL
Group: Sound
URL: http://icking-music-archive.sunsite.dk/software/indexmt6.html
Packager: Reinhard Katzmann <reinhard@suamor.de>
Requires: tetex >= 1.0, musixtex, musixtex-musixflx
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
%description
This package adds the PostScript slurs, ties and crescendos into MusiXTeX.
It is possible to use it in almost the same way as the original bitmapped
slur simply saying "\input musixps" at the beginning of your source file.
The resulting dvi file should be then converted into PostScript by dvips
(and then to PDF using ps2pdf, ghostscript or Adobe Distiller, if necessary).

Please note that the slurs won't appear in any other dvi previewer, nor when
you use pdftex to produce the PDF file directly. This package does not
work together with dvipdfm

%prep
%setup -q -n %{name}-%{version}
#%%patch -p1 -b .orig

%build
musixtex slurs.tex
musixflx slurs.tex
musixtex slurs.tex
dvips slurs.dvi -o slurs.ps
ps2pdf slurs.ps slurs.pdf

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/fonts/source/public/musixtex/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/fonts/tfm/public/musixtex/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/generic/musixtex/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/dvips/misc/
cp musixps.tex $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/generic/musixtex/
cp *.tfm $RPM_BUILD_ROOT%{prefix}/share/texmf/fonts/tfm/public/musixtex/
cp *.mf $RPM_BUILD_ROOT%{prefix}/share/texmf/fonts/source/public/musixtex/
cp *.pro $RPM_BUILD_ROOT%{prefix}/share/texmf/dvips/misc/

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%doc COPYING slurs.tex slurs.dvi slurs.pdf *readme*
%{prefix}/share/texmf/*
